local Lib = MissionMinder
Lib.callbacks = Lib.callbacks or LibStub("CallbackHandler-1.0"):New(Lib)

local options = Lib.options;
local DEBUG = MissionMinder.debug;

local L = LibStub("AceLocale-3.0"):GetLocale("MissionMinder");

local frame = CreateFrame("Frame");
frame:SetScript("OnEvent", function(self, event, ...)
	if (event == "ADDON_LOADED" and select(1, ...) ~= "MissionMinder" ) then
		return;
	end

	Lib.callbacks:Fire(event, ...);
end);

local function initialize()
	DEBUG("   |cffffffffMain|r initialized")

	--[===[@alpha@
	SLASH_MISSIONMINDER1 = "/missionminder";
	SLASH_MISSIONMINDER2 = "/mm";
	SlashCmdList["MISSIONMINDER"] = function()
		InterfaceOptionsFrame_OpenToCategory(MissionMinder.options.frame);
	end
	--@end-alpha@]===]
end

local events = {}
Lib.events = events;
function events:RegisterEvent(module, event, func)
	frame:RegisterEvent(event)
	Lib.RegisterCallback(module, event, func)
end

events:RegisterEvent("main", "ADDON_LOADED", initialize);
